import machine,utime,ws2812b
sensor_temp = machine.ADC(4)
conversion_factor =3.3/(65535)
np = ws2812b.ws2812b(16,0,0)
temp_base =10
while True:
    reading = sensor_temp.read_u16()*conversion_factor
    temperature = 27-(reading-0.706)/0.001721
    temp_int =int(temperature)
    temp_pixel = temp_int-temp_base
    np.fill(0,0,0)
    np.set_pixel_line(0,temp_pixel-1,30,5,0) #Orage
    np.set_pixel(temp_pixel,255,0,0) #RED
    np.show()
    print(temperature)
    utime.sleep(2)